Package relaxngcc.codedom

## Class CDExpressionStatement

- java.lang.Object
- - relaxngcc.codedom.CDExpressionStatement

- All Implemented Interfaces:
    `CDStatement`

      public class CDExpressionStatement
      extends java.lang.Object
      implements CDStatement

  CDExpression as a statement.
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDExpressionStatement​(CDExpression exp)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `state​(CDFormatter f)` | Prints itself as a statement.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDExpressionStatement

          public CDExpressionStatement​(CDExpression exp)

  - ### Method Detail

    - #### state

          public void state​(CDFormatter f)
                     throws java.io.IOException

      Description copied from interface: `CDStatement`
      Prints itself as a statement.
      Specified by:
        `state` in interface `CDStatement`
      Throws:
        `java.io.IOException`